> ## Documentation Index
> Fetch the complete documentation index at: https://docs.cocoondata.com/llms.txt
> Use this file to discover all available pages before exploring further.

# <access-service>/api/v1/i18n/bundles

## URL structure&#x20;

```text theme={null}
https://access-service.xy-company.com/api/v1/i18n/bundles
```

## Supported methods and overview&#x20;

* `GET` - used to retrieve a list of internationalization (i18n) bundles which are currently available (i.e. 'supported') on the Covata Platform.

> [!NOTE]
>
> This method takes no parameters.

## Detailed description&#x20;

This API endpoint retrieves a list of i18n bundles which are currently available (i.e. 'supported') on the Covata Platform.

These are i18n bundles which either are built in or have been uploaded to the Covata Platform.

## Supported roles&#x20;

This API endpoint supports requests utilizing Covata user accounts with the following roles (as described in the [Safe Share Administrator's](/3.3/admin-platform/administering-platform-administrator-users.md#platform-administrators-and-user-roles) and [Organization Administrator's](/3.3/admin-org/administering-users-within-an-organisation.md#an-organisation-users-roles) Guides):

* [Originator](/3.3/admin-org/administering-users-within-an-organisation.md#originator-role)
* [Collaborator](/3.3/admin-org/administering-users-within-an-organisation.md#collaborator-role)
* [Ad hoc](/3.3/admin-org/administering-users-within-an-organisation.md#adhoc-role)
* [Safe Share administrator](/3.3/admin-platform/administering-platform-administrator-users.md#platform-administrator-role)
* [Organization administrator](/3.3/admin-org/administering-users-within-an-organisation.md#organisation-administrator-role)

The Covata Platform's resources available to a Covata user meeting the criteria above is determined by the access token submitted in the [header](/3.3/api/access-service-api-v1-i18n-bundles.md#access-service-api-v1-i18n-bundles-required-headers) of requests to this endpoint.

## Required headers&#x20;

The appropriate access token as the `Bearer` token:

* `Authorization: Bearer eyJhbGciOiJSUzI1NiJ9.eyJleHAiOjE0NjcwMTY2NjYsInVzZXJfbmFtZSI6ImFsZXgub...`

## Returns&#x20;

If the request succeeded, then an HTTP response status `200 OK` is returned.

For successful requests only, a JSON-formatted response containing the following members is also returned:

* **items** - .

  * **localeCode** - .
  * **displayDescription** - .
* **offset** - .
* **count** - . \

  **Example:**

  ```json theme={null}
  {
      "items": [{
          "localeCode": "de_de",
          "displayDescription": "Deutsch (Deutschland)"
      }, {
          "localeCode": "en_gb",
          "displayDescription": "English (UK)"
      }, {
          "localeCode": "en_us",
          "displayDescription": "English (US)"
      }],
      "offset": "0",
      "count": "3"
  }
  ```


This documentation is built and hosted on [Mintlify](https://mintlify.com), a developer documentation platform.